//Textures

textures/base-a51_b2/skybox
{
    surfaceparm sky
    surfaceparm noimpact
    surfaceparm nolightmap
    surfaceparm nodlight
    nopicmip
    nomipmaps
    q3map_sunExt 1.0 0.1296 0.0625 30 120 60 3 16

    skyparms textures/base-a51_b2/env/skybox 512 - 
}

textures/base-a51_b2/rock
{
    q3map_nonplanar
    q3map_shadeAngle 179
    q3map_normalImage textures/base-a51_b2/rock.jpg
	qer_editorimage textures/base-a51_b2/rock.jpg
	{
		map textures/base-a51_b2/rock.jpg
        rgbGen identity
	}
	{
		map $lightmap
        blendFunc filter
	}
}

textures/base-a51_b2/shinymetal
{
	qer_editorimage textures/base-a51_b2/envmap.tga
	{
		map textures/base-a51_b2/envmap.tga
        rgbGen identity
        tcGen environment
	}
	{
		map $lightmap
        blendFunc filter
	}
}

textures/base-a51_b2/black
{
    surfaceparm nolightmap
	qer_editorimage textures/base-a51_b2/black.tga
	{
		map textures/base-a51_b2/black.tga
        rgbGen identity
	}
}

textures/base-a51_b2/dirt
{
    q3map_nonplanar
    q3map_shadeAngle 179
    q3map_normalImage textures/base-a51_b2/dirt.jpg
	qer_editorimage textures/base-a51_b2/dirt.jpg
	{
		map textures/base-a51_b2/dirt.jpg
        rgbGen identity
	}
	{
		map $lightmap
        blendFunc filter
	}
}

textures/base-a51_b2/steelfloor
{
	surfaceparm metalsteps
	qer_editorimage textures/base-a51_b2/steelfloor.jpg
	{
		map textures/base-a51_b2/steelfloor.jpg
        tcGen base
        rgbGen identity
	}
	{
		map $lightmap
        blendFunc filter
        tcGen lightmap

	}
}

textures/base-a51_b2/mosaic1
{
	qer_editorimage textures/base-a51_b2/mosaic1.tga
	{
		map textures/base-a51_b2/envmap.tga
        tcGen environment
        rgbGen identity
	}
	{
		map textures/base-a51_b2/mosaic1.tga
        blendFunc blend
        tcGen base
        rgbGen identity
	}
	{
		map $lightmap
        blendFunc filter
        tcGen lightmap
	}
}

textures/base-a51_b2/glass
{
    surfaceparm trans
    surfaceparm alphashadow
    surfaceparm nolightmap
	qer_editorimage textures/base-a51_b2/windowdirt.tga
	{
		map textures/base-a51_b2/envmap.tga
        tcGen environment
        rgbGen identityLighting
        blendFunc blend
	}
	{
		map textures/base-a51_b2/windowdirt.tga
        tcGen base
        rgbGen identityLighting
        blendFunc blend
	}
}

textures/base-a51_b2/blueconcrete
{
    q3map_nonplanar
    q3map_shadeAngle 179
	qer_editorimage textures/base-a51_b2/blueconcrete.jpg
	{
		map textures/base-a51_b2/blueconcrete.jpg
        rgbGen identity
	}
	{
		map $lightmap
        blendFunc filter
	}
}

textures/base-a51_b2/redconcrete
{
    q3map_nonplanar
    q3map_shadeAngle 179
	qer_editorimage textures/base-a51_b2/redconcrete.jpg
	{
		map textures/base-a51_b2/redconcrete.jpg
        rgbGen identity
	}
	{
		map $lightmap
        blendFunc filter
	}
}

textures/base-a51_b2/concrete
{
    q3map_nonplanar
    q3map_shadeAngle 179
	qer_editorimage textures/base-a51_b2/concrete.jpg
	{
		map textures/base-a51_b2/concrete.jpg
        rgbGen identity
	}
	{
		map $lightmap
        blendFunc filter
	}
}

textures/base-a51_b2/pipe
{
	qer_editorimage textures/base-a51_b2/pipe.jpg
	{
		map textures/base-a51_b2/pipe.jpg
        rgbGen identity
	}
	{
		map $lightmap
        blendFunc filter
	}
}

textures/base-a51_b2/LabAlabel
{
    surfaceparm nolightmap
    q3map_surfacelight 500
    q3map_lightImage textures/base-a51_b2/LabAlabel.tga
	qer_editorimage textures/base-a51_b2/LabAlabel.tga
	{
		map textures/base-a51_b2/LabAlabel.tga
	}
}

textures/base-a51_b2/LabBlabel
{
    surfaceparm nolightmap
    q3map_surfacelight 500
    q3map_lightImage textures/base-a51_b2/LabBlabel.tga
	qer_editorimage textures/base-a51_b2/LabBlabel.tga
	{
		map textures/base-a51_b2/LabBlabel.tga
	}
}

textures/base-a51_b2/CtrlRoomlabel
{
    surfaceparm nolightmap
    q3map_surfacelight 500
    q3map_lightImage textures/base-a51_b2/CtrlRoomlabel.tga
	qer_editorimage textures/base-a51_b2/CtrlRoomlabel.tga
	{
		map textures/base-a51_b2/CtrlRoomlabel.tga
	}
}

textures/base-a51_b2/Storagelabel
{
    q3map_surfacelight 500
    q3map_lightImage textures/base-a51_b2/Storagelabel.tga
	qer_editorimage textures/base-a51_b2/Storagelabel.tga
	{
		map textures/base-a51_b2/Storagelabel.tga
	}
}

textures/base-a51_b2/TestChamberlabel
{
    surfaceparm nolightmap
    q3map_surfacelight 500
    q3map_lightImage textures/base-a51_b2/TestChamberlabel.tga
	qer_editorimage textures/base-a51_b2/TestChamberlabel.tga
	{
		map textures/base-a51_b2/TestChamberlabel.tga
	}
}

textures/base-a51_b2/compscreen
{
    surfaceparm nolightmap
    q3map_surfacelight 40
    q3map_lightRGB 0.1 1.0 0.1
	qer_editorimage textures/base-a51_b2/compscreen.tga
	{
		map textures/base-a51_b2/compscreen.tga
        rgbGen identityLighting
	}
}

textures/base-a51_b2/wirefloor
{
    surfaceparm trans
    surfaceparm alphashadow
    qer_trans 0.5
	qer_editorimage textures/base-a51_b2/wirefloor.tga
	{
		map textures/base-a51_b2/wirefloor.tga
        alphaFunc GE128
        blendFunc blend
        depthWrite
        rgbGen identity
	}
	{
		map $lightmap
        blendFunc filter
        depthFunc equal
	}
}

textures/base-a51_b2/solidwirefloor
{
	qer_editorimage textures/base-a51_b2/wirefloor.tga
	{
		map textures/base-a51_b2/wirefloor.tga
        rgbGen identity
	}
	{
		map $lightmap
        blendFunc filter
	}
}

//Decals

textures/base-a51_b2/warningdecal
{
    surfaceparm trans
    surfaceparm nolightmap
    polygonoffset
    sort 6
	qer_editorimage textures/base-a51_b2/warningdecal.tga
	{
		map textures/base-a51_b2/warningdecal.tga
        rgbGen identity
        blendFunc filter
	}
}

textures/base-a51_b2/blood
{
    surfaceparm trans
    surfaceparm nolightmap
    polygonoffset
    sort 6
	qer_editorimage textures/base-a51_b2/blood.jpg
	{
		map textures/base-a51_b2/blood.jpg
        blendFunc filter
	}
}

textures/base-a51_b2/offsetblood
{
    surfaceparm trans
    surfaceparm nolightmap
    polygonoffset
    sort 6
    q3map_offset 0.005
	qer_editorimage textures/base-a51_b2/blood.jpg
	{
		map textures/base-a51_b2/blood.jpg
        blendFunc filter
	}
}

//One-colored lights
textures/base-a51_b2/bluebulb
{
    surfaceparm nolightmap
    q3map_surfacelight 6000
    q3map_lightRGB 0.25 0.64 1.0
	{
		map textures/base-a51_b2/bluebulb.tga
        rgbGen identityLighting
    }
}

textures/base-a51_b2/redbulb
{
    surfaceparm nolightmap
    q3map_surfacelight 6000
    q3map_lightRGB 1.0 0.075 0.05
	qer_editorimage textures/base-a51_b2/redbulb.tga
	{
		map textures/base-a51_b2/redbulb.tga
        rgbGen identityLighting
    }
}

textures/base-a51_b2/orangebulb
{
    surfaceparm nolightmap
    q3map_surfacelight 3000
    q3map_lightRGB 1.0 0.2401 0.0625
	qer_editorimage textures/base-a51_b2/orangebulb.tga
	{
		map textures/base-a51_b2/orangebulb.tga
        rgbGen identityLighting
    }
}

textures/base-a51_b2/whitelight
{
    surfaceparm nolightmap
    q3map_surfacelight 2100
    q3map_lightRGB 1.0 1.0 1.0
	qer_editorimage textures/base-a51_b2/white.tga
	{
		map textures/base-a51_b2/white.tga
        rgbGen identityLighting
    }
}

textures/base-a51_b2/orangelight
{
    surfaceparm nolightmap
    q3map_surfacelight 800
    q3map_lightRGB 1.0 0.343 0.125
	qer_editorimage textures/base-a51_b2/orangebulb.tga
	{
		map textures/base-a51_b2/orangebulb.tga
        rgbGen identityLighting
    }
}

//General textured lights
textures/base-a51_b2/basibeer
{
    q3map_nonplanar
    q3map_shadeangle 179
    q3map_surfacelight 500
	{
		map textures/base-a51_b2/basibeer.jpg
        tcGen base
        rgbGen identityLighting
    }
}

textures/base-a51_b2/doorlight1
{
    q3map_surfacelight 5000
    q3map_lightRGB 0.03125 0.32768 1.0
    qer_editorimage textures/base-a51_b2/doorlight1.tga
	{
		map textures/base-a51_b2/darkmetal.jpg
    }
	{
		map $lightmap
        blendFunc filter
    }
	{
		map textures/base-a51_b2/doorlight1.tga
        tcGen base
        rgbGen identity
        blendFunc add
    }
}

textures/base-a51_b2/doorlight2
{
    q3map_surfacelight 5000
    q3map_lightRGB 1.0 0.32768 0.03125
    qer_editorimage textures/base-a51_b2/doorlight2.tga
	{
		map textures/base-a51_b2/darkmetal.jpg
    }
	{
		map $lightmap
        blendFunc filter
    }
	{
		map textures/base-a51_b2/doorlight2.tga
        tcGen base
        rgbGen identity
        blendFunc add
    }
}

textures/base-a51_b2/basibeernonlit
{
    q3map_nonplanar
    q3map_shadeangle 179
    qer_editorimage textures/base-a51_b2/basibeer.jpg
	{
		map textures/base-a51_b2/basibeer.jpg
        rgbGen identity
    }
	{
		map $lightmap
        blendFunc filter
    }
}

textures/base-a51_b2/grangermilk
{
    q3map_nonplanar
    q3map_shadeangle 179
    q3map_surfacelight 500
	{
		map textures/base-a51_b2/grangermilk.jpg
        tcGen base
        rgbGen identityLighting
    }
}

textures/base-a51_b2/lampblue
{
    q3map_surfacelight 1500
    q3map_lightRGB 0.03125 0.32768 1.0
	qer_editorimage textures/base-a51_b2/lampblue.tga
	{
		map textures/base-a51_b2/lampbase.tga
        tcGen base
        rgbGen identity
    }
	{
		map $lightmap
        blendFunc filter
        tcGen lightmap
	}
	{
		map textures/base-a51_b2/lampblue.tga
        blendFunc blend
        rgbGen identityLighting
	}
}

textures/base-a51_b2/lamplightblue
{
    q3map_surfacelight 4000
    q3map_lightRGB 0.25 0.64 1.0
	qer_editorimage textures/base-a51_b2/lampblue.tga
	{
		map textures/base-a51_b2/lampbase.tga
        tcGen base
        rgbGen identity
    }
	{
		map $lightmap
        blendFunc filter
        tcGen lightmap
	}
	{
		map textures/base-a51_b2/lampblue.tga
        blendFunc blend
        rgbGen identityLighting
	}
}

textures/base-a51_b2/lamporange
{
    q3map_surfacelight 1500
    q3map_lightRGB 1.0 0.512 0.125
	qer_editorimage textures/base-a51_b2/lamporange.tga
	{
		map textures/base-a51_b2/lamporange.tga
        tcGen base
        rgbGen identity
    }
	{
		map $lightmap
        blendFunc filter
        tcGen lightmap
	}
	{
		map textures/base-a51_b2/lamporange.tga
        blendFunc blend
        rgbGen identityLighting
	}
}

textures/base-a51_b2/smallsatorange
{
    q3map_surfacelight 800
    q3map_lightRGB 1.0 0.32768 0.03125
	qer_editorimage textures/base-a51_b2/lamporange.tga
	{
		map textures/base-a51_b2/lamporange.tga
        tcGen base
        rgbGen identity
    }
	{
		map $lightmap
        blendFunc filter
        tcGen lightmap
	}
	{
		map textures/base-a51_b2/lamporange.tga
        blendFunc blend
        rgbGen identityLighting
	}
}

textures/base-a51_b2/lampred
{
    q3map_surfacelight 2000
    q3map_lightRGB 1.0 0.2 0.2
	qer_editorimage textures/base-a51_b2/lampred.tga
	{
		map textures/base-a51_b2/lampbase.tga
        tcGen base
        rgbGen identity
    }
	{
		map $lightmap
        blendFunc filter
        tcGen lightmap
	}
	{
		map textures/base-a51_b2/lampred.tga
        blendFunc blend
	}
}

textures/base-a51_b2/longlightblue
{
	qer_editorimage textures/base-a51_b2/longlightblue.tga
	{
		map textures/base-a51_b2/longlightbase.tga
        tcGen base
        rgbGen identity
    }
	{
		map $lightmap
        blendFunc filter
        tcGen lightmap
	}
	{
		map textures/base-a51_b2/longlightblue.tga
        blendFunc blend
        rgbGen identityLighting
	}
}

textures/base-a51_b2/longlightorange
{
	qer_editorimage textures/base-a51_b2/longlightorange.tga
	{
		map textures/base-a51_b2/longlightbase.tga
        tcGen base
        rgbGen identity
    }
	{
		map $lightmap
        blendFunc filter
        tcGen lightmap
	}
	{
		map textures/base-a51_b2/longlightorange.tga
        blendFunc blend
        rgbGen identityLighting
	}
}

